Bug 83257 - Pivot table enhancement - automatic charting (pivotchart)
Summary: Pivot table enhancement - automatic charting (pivotchart)
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: high enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:5.4.0
Keywords:
Depends on:
Blocks: Pivot-Chart
  Show dependency treegraph
 
Reported: 2014-08-29 16:44 UTC by Lutz
Modified: 2017-12-21 13:32 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Lutz 2014-08-29 16:44:48 UTC
When creating a pivot table I do a lot of charts. Every time the table gets refreshed and the rows/columns change, the charts get messed up.

It would be really nice, if a chart could be automatically generated instead of the table. Functionality would be similar to the table generatiopn but data is displayed in a bar, line or XY chart.
Comment 1 raal 2014-08-29 17:12:41 UTC
I'm surprised that I can not find duplicate for request for Pivotchart
https://wiki.documentfoundation.org/Development/Enterprises_nice-to-have#Pivot_Chart

MS Office feature>
http://office.microsoft.com/en-ca/excel-help/create-a-pivotchart-HA102919712.aspx
Comment 2 Joel Madero 2014-08-29 17:39:30 UTC
Please note that enhancements are largely tackled by volunteers. The NEW status confirms that this is a valid enhancement but does not guarantee that the feature will be implemented in the near future (or at all in fact). If a volunteer finds this to be interesting, they'll assign it to themselves and try to implement it.


That being said - this is a pretty awesome request :)
Comment 3 bureautiquelibre 2017-01-31 10:59:54 UTC
Hi,

Nantes Métropole is funding development of this feature in the community version.

Regards,
Eric Ficheux
Comment 4 Johnny_M 2017-03-18 09:32:12 UTC
Pivot charts will be released in LibreOffice 5.4: https://tomazvajngerl.blogspot.de/2017/03/pivot-charts-in-libreoffice-part-1.html
Comment 5 Commit Notification 2017-04-04 13:40:25 UTC
Tomaž Vajngerl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9009663deb8f0862f419fd99bf0b761c7f923eff

tdf#83257 [API-CHANGE] Pivot chart implementation

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 andis.lazdins 2017-12-21 13:32:43 UTC
Demands of users are very different. For me not having Pivot Chart in Calc was great benefit in comparison to Excel. Is it possible to switch off this function at some point?